Skip to main content
GET
/
v2
/
charge-records
/
{id}
Get a single Charge Record
curl --request GET \
  --url https://api.spirii.com/v2/charge-records/{id} \
  --header 'Authorization: <api-key>'
{
  "transactionId": 123,
  "sessionId": "<string>",
  "evseId": "<string>",
  "location": {
    "id": 123,
    "name": "<string>",
    "address": "<string>",
    "zipCode": "<string>",
    "city": "<string>",
    "timezone": "<string>",
    "isPublic": true,
    "crmId": 123,
    "crmCustomerId": 123,
    "isEligibleForRefund": true,
    "appUserId": 123,
    "country": "DK"
  },
  "consumed": 123,
  "price": {
    "amountExVat": 123,
    "currency": "<string>",
    "vatRate": 0.25,
    "amount": 123,
    "perKwh": 123,
    "isDynamic": true,
    "spotPriceMargin": 123,
    "spotPriceMinimum": 123,
    "roamingTariffId": 123,
    "roamingTariffProductId": "<string>",
    "tariffId": 123456,
    "tariffs": {},
    "breakdown": {},
    "tariffName": "<string>"
  },
  "card": {
    "brand": "<string>",
    "lastFour": 123,
    "customerId": "<string>",
    "vatId": "<string>"
  },
  "startedAt": "2023-11-07T05:31:56Z",
  "endedAt": "2023-11-07T05:31:56Z",
  "duration": {
    "charging": 123,
    "idle": 123,
    "total": 123
  },
  "paymentMetadata": {
    "paymentStatus": "<string>",
    "maskedPan": "<string>",
    "merchantId": "<string>",
    "merchantInfo": {
      "name": "<string>",
      "address": "<string>",
      "taxId": "<string>"
    },
    "terminalId": "<string>",
    "terminalSerialNumber": "<string>",
    "externalSessionId": "<string>",
    "sessionId": 123,
    "paidAt": "2023-11-07T05:31:56Z"
  },
  "auth": {
    "idTag": {
      "uid": "<string>",
      "id": 123,
      "type": "<string>",
      "label": "<string>",
      "customerId": 123,
      "operatorId": 123,
      "companyId": 123,
      "familyTreeCompanyIds": [
        "<string>"
      ],
      "crmCustomerId": 123,
      "comment": "<string>",
      "billingReference": "<string>",
      "customerCrmCustomerId": 123,
      "companyCrmCustomerId": 123,
      "operator": {
        "id": 123,
        "name": "<string>",
        "crmId": 123
      },
      "company": {
        "id": 123,
        "name": "<string>"
      },
      "customer": {
        "id": 123,
        "firstName": "<string>",
        "lastName": "<string>",
        "operator": {
          "id": 123,
          "name": "<string>"
        },
        "company": {
          "id": 123,
          "name": "<string>"
        },
        "familyTreeCompanyIds": [
          "<string>"
        ]
      }
    }
  },
  "isRoaming": true,
  "company": {
    "id": 123,
    "name": "<string>"
  },
  "familyTreeCompanyIds": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isPriority": true,
  "energyCostEstimation": {
    "cost": 10.5
  },
  "cpoDefaultPrice": {
    "currency": "<string>",
    "vatRate": 0.25,
    "amount": 123,
    "amountExVat": 123,
    "perKwh": 123,
    "breakdown": {},
    "tariffId": 123456,
    "tariffName": "<string>",
    "isDynamic": true,
    "spotPriceMargin": 123,
    "spotPriceMinimum": 123
  },
  "pricingSource": {
    "currency": "<string>",
    "id": "<string>",
    "spi_id": "<string>",
    "tariffId": 123,
    "perKwh": 123,
    "elements": [
      {}
    ],
    "last_updated": "2023-11-07T05:31:56Z",
    "isOcpiBased": true,
    "isSpotPriceBased": true,
    "vat": 123
  },
  "voucher": {
    "id": 123,
    "groupId": 123,
    "code": "<string>",
    "currency": "<string>",
    "type": "<string>",
    "perKwh": 123
  },
  "voucherGroup": {
    "id": 123,
    "name": "<string>",
    "notes": "<string>"
  },
  "user": 123,
  "merchantInfo": {
    "name": "<string>",
    "address": "<string>",
    "taxId": "<string>"
  },
  "roamingDetails": {
    "type": "<string>",
    "role": "<string>",
    "roamingOperator": "<string>",
    "roamingEvcoId": "<string>",
    "roamingIdTagUid": "<string>",
    "sessionStatus": "<string>",
    "sessionPayload": {},
    "billable": true,
    "roamingTariffId": 123
  },
  "isPublicSharing": true,
  "priceSource": "<string>",
  "operatorName": "<string>",
  "operatorId": 123,
  "chargeBoxId": 123,
  "chargingTime": 123,
  "idleTime": 123,
  "meterStart": 0,
  "vehicleState": {
    "firstValue": 50,
    "lastValue": 50
  },
  "meterStop": 12.34,
  "co2": 0.03,
  "highestPowerDrawn": 10.692,
  "maxPower": 123,
  "role": "<string>",
  "remotelyStoppedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Path Parameters

id
integer
required

Charge Record transaction ID.

Example:

123456

Response

transactionId
integer
required

Spirii ID of the transaction. Also shared with the charger.

sessionId
string
required

UUID session identifier of the transaction. Used for retrieving receipts on the Spirii receipt portal.

evseId
string
required

Identifier of the connector used.

location
object
required
consumed
number<float>
required

Consumed kWh by the charging session as reported by the charger.

price
object
required

Fields describing the price paid by the Driver (or Roaming EMP) for the transaction.

card
object
required

Details on the card used for App payments.

startedAt
string<date-time>
required

Start time of the transaction.

endedAt
string<date-time>
required

End time of the transaction.

duration
object
required

Duration of the charging session.

paymentMethod
enum<string>
required

The payment method used to pay for the transaction.

Available options:
PaymentTerminal,
RoamingOperator,
Stripe,
MobilePay,
Free,
System,
Invoice,
Unknown
paymentStatus
enum<string>
required

Status of the payment for the transaction.

Available options:
unknown,
succeeded,
canceled,
expired,
n/a,
paid,
pending,
failed
paymentMetadata
object
required

Additional metadata on the payment of the charging session.

auth
object
required

This object contains information about the authentication and in extension the driver and company charging. This represents the consumer in the transaction.

isRoaming
boolean
required

Flag signalling if the transaction took place outside of Spirii network or via a non-Spirii EMP.

company
object
required

The company of the location.

familyTreeCompanyIds
string[]
required
createdAt
string<date-time>
required

Timestamp when this record was created.

updatedAt
string<date-time>
required

Timestamp when this record was updated.

isPriority
boolean
required

Property to indicate priority transaction

energyCostEstimation
object
deprecated

Deprecated - The energyCostEstimation field is no longer availiable

cpoDefaultPrice
object

The original price as calculated based on the tariff set by the CPO before applying any vouchers, discounts, other fees or markups.

pricingSource
object

Data on the pricing at the time when a transaction started.

voucher
object

If populated, contains information about the applied voucher. Only present if a voucher was applied.

voucherGroup
object

Group of vouchers which the applied voucher belongs to.

user
integer
deprecated
merchantInfo
object

Legal information on the merchant receiving the payment. This information is displayed on the receipt towards the Driver.

roamingDetails
object

Extra details on the roaming transaction§.

isPublicSharing
boolean

Flag signalling if this is a private location shared publicly.

priceSource
string

Explains where the tariff comes from.

operatorName
string

Display name of the CPO.

operatorId
integer

Spirii ID of the CPO.

chargeBoxId
integer

Spirii ID of the charge box. Only present for transactions within the Spirii network.

chargingTime
integer
deprecated

This property is deprecated - please refer to duration instead.

idleTime
integer
deprecated

This property is deprecated - please refer to duration.idle instead.

meterStart
number<float>

Meter value reported by the charger at start of charging.

Example:

0

vehicleState
object

Metadata on the vehicle state during the charging session.

meterStop
number<float>

Meter value reported by the charger at end of charging in kWh.

Example:

12.34

co2
number<float>

Estimated CO2 emissions from this charging session (tonnes)

Example:

0.03

highestPowerDrawn
number<float>

The max power drawn at any given point from the connector

Example:

10.692

maxPower
number

Theoretical max power of the charge box model, without regard to circuits, phases, load management etc.

role
string
deprecated

Deprecated in favour of roamingDetails.role

remotelyStoppedAt
string<date-time>

Timestamp when charger received a RemoteStop message.